# Tests for ob-buildenv
#
# Copyright (C) 2019 Patrick McDermott
#
# This file is part of opkbuild.
#
# opkbuild is free software: you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# opkbuild is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with opkbuild.  If not, see <http://www.gnu.org/licenses/>.

set -eu

. "${TOP_SRCDIR}/tests/aux/tap-functions.sh"
. "${TOP_SRCDIR}/tests/aux/common.sh"

plan_ 1

cmd_is 'ob-buildenv' ob-buildenv <<-EOF
	PATH='${PATH}'
	AR='i686-linux-glibc-ar'
	AS='i686-linux-glibc-as'
	CC='i686-linux-glibc-gcc'
	CPP='i686-linux-glibc-cpp'
	CXX='i686-linux-glibc-g++'
	LD='i686-linux-glibc-ld'
	NM='i686-linux-glibc-nm'
	OBJCOPY='i686-linux-glibc-objcopy'
	OBJDUMP='i686-linux-glibc-objdump'
	RANLIB='i686-linux-glibc-ranlib'
	READELF='i686-linux-glibc-readelf'
	SIZE='i686-linux-glibc-size'
	STRINGS='i686-linux-glibc-strings'
	STRIP='i686-linux-glibc-strip'
	OPK_TOOL_PREFIX='i686-linux-glibc-'
	CFLAGS=' -ffile-prefix-map=${PWD}=.'
	CXXFLAGS=' -ffile-prefix-map=${PWD}=.'
	TZ='UTC0'
	LC_ALL='C'
	EOF
